/*
   This program writes pixel data to a PPM file using the FrameBuffer class.
   The pixel data is a sequence of red, then green, then blue pixels.
*/

import framebuffer.*;

import java.awt.Color;

public class Example_1
{
   public static void main(String[] args)
   {
      String filename = "Example_1.ppm";

      int height = 600;
      int width  = 601;
      FrameBuffer fb = new FrameBuffer(height, width);

      for (int i = 0; i < height; i++)
         for(int j = 0; j < width-3; j+=3)
         {
            fb.setPixelFB(j+0, i, new Color(255,0,  0) );  // a red pixel
            fb.setPixelFB(j+1, i, new Color(0, 255, 0) );  // a green pixel
            fb.setPixelFB(j+2, i, new Color(0,  0,255) );  // a blue pixel
         }

      fb.dumpFB2File( filename );
   }
}